textures/interloper/horizon_sky
{
	qer_editorimage textures/interloper/sub/heat_up.jpg
	
	skyParms textures/interloper/sub/heat 2048 -

	q3map_sunExt 1.00 0.60 0.40 100 188 50 
	q3map_lightmapFilterRadius 0 8		

	q3map_skylight 100 4                    
	q3map_noFog

	surfaceparm sky                         
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps
}

textures/interloper/rocknew1:q3map 
{
	surfaceparm slick
}

textures/interloper/sphere_yellow
{
	qer_editorimage textures/interloper/sub/tp_yellow.tga
	surfaceparm nodamage
    surfaceparm trans
	qer_trans 0.5
	q3map_surfacelight 500	
	{
		map textures/interloper/sub/battery_clouds.tga
		blendfunc add
		rgbGen wave sin 0.5 0.4 0 0.025 
		tcMod scale 0.5 0.5
		alphaGen const 0.5
	}
	{
		map textures/interloper/sub/battery_clouds.tga
		blendfunc filter
		rgbGen const ( 0 0.3 0.6 )
		alphaGen const 0.5
		tcMod scroll 0.01 0.015
		tcMod scale 0.5 0.5
	}
	{
   	    map textures/interloper/sub/tp_yellow.tga
   		blendFunc GL_ONE GL_ZERO
    	rgbGen identity //vertex
    	tcGen environment
	}
}

textures/interloper/icy
{
	qer_trans 0.80
	qer_editorimage textures/interloper/sub/ice.tga


	surfaceparm slick
	surfaceparm trans
	surfaceparm glass
	surfaceparm nodamage
	tessSize 256

	{
		map textures/interloper/sub/ice.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/interloper/sub/ice_effect_dark.jpg
		tcgen environment
		blendfunc add
		alphagen const 0.1
	}
}

textures/interloper/water_fast
{
	qer_editorimage textures/interloper/sub/water.jpg
	qer_trans .7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nolightmap
	
	q3map_globaltexture
	q3map_lightimage textures/interloper/sub/siwa_water.tga
    q3map_surfacelight 128
	q3map_lightsubdivide 64
	q3map_bounceScale 0.5
	cull disable
	nopicmip
	//nocompress

	//waterfogvars ( 0.06 0.09 0.09 ) 0.1

	{ 
		//fog on
		map textures/interloper/sub/siwa_water.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll 0.0 -0.02
	}

	{ 
		map textures/interloper/sub/water.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll 0.0 -0.02
		alphaGen const 0.5
	}
	{ 
		map textures/interloper/sub/water2.jpg
		blendFunc GL_dst_color GL_one
		alphaGen const 0.5
		tcmod scale -.5 -.5
		tcmod scroll 0.0 -0.02
	}
}
